Summary: Displays alerts from CERN RSS feeds
Name: cern-alerter
Version: 0.9b
Release: 3%{?dist}
License: GPLv2+
Vendor: linux.support@cern.ch, http://cern.ch/linux       
Group: Applications/System
Source0: %{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: pygtk2 >= 2.9.2
Requires: gnome-python2, gnome-python2-canvas 
BuildRequires: desktop-file-utils
Requires: gnome-python2-gtkhtml2
Requires: gdk-pixbuf
Requires(post):   /usr/bin/update-desktop-database
Requires(postun): /usr/bin/update-desktop-database

BuildRequires: htmlview
Requires: htmlview

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define pkgpythondir  %{python_sitelib}/%{name}


%description
CERN Alerter 

description to come here.

%files
/usr/bin/cern-alerter
%{_sysconfdir}/xdg/autostart/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor
%dir %attr(0755,root,root) %{pkgpythondir}
%{pkgpythondir}/*.py
%{pkgpythondir}/*.pyc
%{pkgpythondir}/*.pyo
%{pkgpythondir}/conf/feeds.xml
%{pkgpythondir}/conf/notifier.properties
%{pkgpythondir}/icons/*.png
%{pkgpythondir}/icons/*.jpg
%{pkgpythondir}/help/index.html

%post
/usr/bin/update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
/usr/bin/update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%prep
%setup -q

%build
make

%install 
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
desktop-file-install --vendor="" --dir=%{buildroot}%{_datadir}/applications %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean 
rm -rf %{buildroot}


%changelog
* Thu Oct  7 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch>
- initial packaging
